# CharacterCasing

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the case of the text that a control should enforce.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum CharacterCasing : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum CharacterCasing As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                             |
| -------------- | ------------------------------------------------------- |
| **Capitalize** | Converts the first character of each word to uppercase. |
| **Lower**      | Converts all characters to lowercase.                   |
| **Normal**     | The case of characters is left unchanged.               |
| **Upper**      | Converts all characters to uppercase.                   |

## Used By

| Name                                                                                                                                                | Description                                                                                                                                     |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| [ButtonBase.CharacterCasing](/api/wisej.web/buttons/wisej.web.buttonbase.md#charactercasing)                                                        | Returns or sets the case of the text to display to the user.                                                                                    |
| [ComboBox.CharacterCasing](/api/wisej.web/lists-and-grids/combobox.md#charactercasing)                                                              | Returns or sets whether the [ComboBox](/api/wisej.web/lists-and-grids/combobox.md) control modifies the case of characters as they are typed.   |
| [Label.CharacterCasing](/api/wisej.web/content/wisej.web.label.md#charactercasing)                                                                  | Returns or sets the case of the text to display to the user.                                                                                    |
| [MaskedTextBox.CharacterCasing](/api/wisej.web/editors/maskedtextbox.md#charactercasing)                                                            | Returns or sets whether the [MaskedTextBox](/api/wisej.web/editors/maskedtextbox.md) control modifies the case of characters as they are typed. |
| [TabPage.CharacterCasing](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md#charactercasing)                                                | Returns or sets the case of the text to display to the user.                                                                                    |
| [TextBox.CharacterCasing](/api/wisej.web/editors/wisej.web.textbox.md#charactercasing)                                                              | Returns or sets whether the [TextBox](/api/wisej.web/editors/wisej.web.textbox.md) control modifies the case of characters as they are typed.   |
| [DataGridViewComboBoxCell.CharacterCasing](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcell.md#charactercasing)       | Returns or sets whether the cell editor modifies the case of characters as they are typed.                                                      |
| [DataGridViewComboBoxColumn.CharacterCasing](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md#charactercasing)   | Returns or sets whether the cell editor modifies the case of characters as they are typed.                                                      |
| [DataGridViewTextBoxCell.CharacterCasing](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxcell.md#charactercasing)         | Returns or sets whether the cell editor modifies the case of characters as they are typed.                                                      |
| [DataGridViewTextBoxColumn.CharacterCasing](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxcolumn.md#charactercasing)     | Returns or sets whether the cell editor modifies the case of characters as they are typed.                                                      |
| [LabelWrapper.CharacterCasing](/api/wisej.web/editors/wisej.web.labelwrapper.md#charactercasing)                                                    | Returns or sets the case of the text to display to the user.                                                                                    |
| [MenuItem.CharacterCasing](/api/wisej.web/menus/wisej.web.menuitem.md#charactercasing)                                                              | Returns or sets the case of the text to display to the user.                                                                                    |
| [ButtonExtensions.CharacterCasing](/api/wisej.web.markup/extensions/wisej.web.markup.buttonextensions.md#charactercasing-button-casing)             | Sets the CharacterCasing property of the specified [ButtonBase](/api/wisej.web/buttons/wisej.web.buttonbase.md).                                |
| [TabPageExtensions.CharacterCasing](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md#charactercasing-tabpage-casing)          | Sets the CharacterCasing property of the specified [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md).                        |
| [LabelExtensions.CharacterChasing](/api/wisej.web.markup/extensions/wisej.web.markup.labelextensions.md#characterchasing-label-charactercasing)     | Sets the CharacterCasing property of the specified [Label](/api/wisej.web/content/wisej.web.label.md).                                          |
| [TextBoxExtensions.CharacterCasing](/api/wisej.web.markup/extensions/wisej.web.markup.textboxextensions.md#charactercasing-textbox-charactercasing) | Sets the character casing for the specified [TextBox](/api/wisej.web/editors/wisej.web.textbox.md).                                             |
| [ComboBoxExtensions.CharacterCasing](/api/wisej.web.markup/extensions/wisej.web.markup.comboboxextensions.md#charactercasing-combobox-casing)       | Sets the CharacterCasing property of the specified [ComboBox](/api/wisej.web/lists-and-grids/combobox.md).                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/editors/wisej.web.charactercasing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
